<template>
  <v-card class="g-bottom-nav mt-4">
    <v-card-actions class="mx-2">
      <v-btn color="success" large :disabled="prevDisabled" @click="prev">
        {{ $t("tool.navigation.prevStep") }}
      </v-btn>

      <v-spacer />

      <v-btn color="success" large :disabled="nextDisabled" @click="next">
        {{ $t("tool.navigation.nextStep") }}
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: "StepperBottomNav",
  props: {
    value: Number,
    max: Number,
    min: {
      type: Number,
      default: 1,
    },
  },
  computed: {
    prevDisabled() {
      return this.value === this.min;
    },
    nextDisabled() {
      return this.value === this.max;
    },
  },
  methods: {
    prev() {
      if (!this.prevDisabled) {
        this.$emit("input", this.value - 1);
      }
    },
    next() {
      if (!this.nextDisabled) {
        this.$emit("input", this.value + 1);
      }
    },
  },
};
</script>

<style scoped lang="scss">
.g-bottom-nav {
  position: sticky;
  bottom: 0;
  border-radius: 0;
  z-index: 5;
  border-top: 1px solid lightgrey;
  .v-btn {
    min-width: 150px;
  }
}
</style>
